# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.1.0
    hooks:
      - id: check-yaml
      - id: end-of-file-fixer
      - id: trailing-whitespace
        exclude: ".*.csv"
  - repo: https://github.com/IamTheFij/ansible-pre-commit
    rev: v0.1.2
    hooks:
      - id: encryption-check
        files: ((?:^|\/)vault|vault\.ya?ml$|\.vault|vars.yml$|(?:^|\/)hosts|vars.yml)
  - repo: https://github.com/jazzband/pip-tools
    rev: 6.5.0
    hooks:
      - id: pip-compile
